/* Navi Responsive */

#layerHeadButton {
    display: none;
    color: var(--main-lightgrey-color);
    cursor: pointer;
    font: var(--fa-font-light);
    font-weight: 500;
    font-size: 1.2rem;
    padding: 8px 10px;
    background-color: var(--main-color);
    border-radius: 0;
}

#layerHeadButton:hover {
    background-color: transparent;
    color: var(--main-hover-color);
    box-shadow: 0 4px 12px rgb(0 0 0 / 20%);
    transition: all 0.3s ease-out;
}

#layerNavigationResp {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 4;
    width: 0;
    width: auto;
    background-color: #eee;
    box-shadow: rgba(0, 0, 0, 0.3) 0 0 8px;
    -webkit-transition: 500ms width;
    -webkit-transition: all 500ms;
    -o-transition: all 500ms;
    -moz-transition: all 500ms;
    transition: all 500ms;
    color: #000 !important;
    overflow: auto;
    display: block;
    letter-spacing: 1px;
    -webkit-transform: translateX(-160%);
    -moz-transform: translateX(-160%);
    -o-transform: translateX(-160%);
    transform: translateX(-160%);
    -ms-transform: translateX(-160%);
    -webkit-transition: -webkit-transform 1s 100ms;
    transition: -webkit-transform 1s 100ms;
    -o-transition: -o-transform 1s 100ms;
    -moz-transition: transform 1s 100ms, -moz-transform 1s 100ms;
    transition: transform 1s 100ms;
    transition: transform 1s 100ms, -webkit-transform 1s 100ms, -moz-transform 1s 100ms, -o-transform 1s 100ms;
    padding: 45px 30px 20px 30px;
}

#layerNavigationResp.open {
    -ms-transform: translateX(0);
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
    min-width: 500px;
}

#layerNavigationResp .naviRespStand {
    padding: 25px;
}

#layerNavigationResp ul {
    list-style: none;
}

#buttonNavigationRespClose {
    font: var(--fa-font-light);
    font-weight: 400;
    position: absolute;
    top: 30px;
    right: 30px;
    cursor: pointer;
    font-size: 1.8rem;
    padding: 10px 10px;
    border-radius: 0;
    line-height: 1.2rem;
}

#buttonNavigationRespClose:hover {
    box-shadow: 0 2px 8px rgba(0,0,0,0.25);
}

#layerNavigationResp .showMember {
    text-transform: uppercase;
    font-weight: 600;
}

#layerNavigationResp .showMember:before {
    content: '\f2bd';
    font: var(--fa-font-light);
    font-weight: 900;
    font-size: 1.4rem;
}

#layerNavigationResp .buttonGetMember {
    font-family: var(--main-font-buttonFont);
    font-size: 1.1rem;
    color: var(--main-color);
    width: unset;
    margin-top: 25px;
    padding: 10px 15px;
    background: white;
    box-shadow: 1px 0 10px rgb(0 0 0 / 50%);
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: 2px;
    cursor: pointer;
    position: relative;
    display: flex;
    align-items: center;
}

#layerNavigationResp .layerSearch {
    margin-top: 3rem;
}

#layerNavigationResp .layerSearch form {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    border: 1px solid #ccc;
    border-radius: 0;
}

#layerNavigationResp .search-form-input {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    background: none;
    border: none;
    color: #eee;
    padding: 12px 16px;
    border-radius: 0;
}

#layerNavigationResp .search-form-input::placeholder {
    color: #555;
}

#layerNavigationResp .layerSearch .search-category {
    width: 80%;
    border: none;
    display: block;
    align-items: unset;
}

#layerNavigationResp .layerSearch .search-category select {
    width: 100%;
    padding: 12px 16px;
    min-width: unset;
}

#layerNavigationResp .search-form-button {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    border: none;
    background: none;
    color: #5a5a5a;
    font: var(--fa-font-light);
    cursor: pointer;
    min-width: unset;
    padding: 12px 16px;
    font-size: 1.25rem;
}

#layerNavigationResp .search-form-button:hover {
    transition: all 0.3s ease-out;
    color: var(--main-button-color);
}


/* Firmennavigation */

.mainNaviCompany {
    /*padding-top: 0.5rem;
    font-size: 1rem;*/
    font-size: 0.8rem;
}

.mainNaviCompany li {
    padding: 0 0.7rem;
    border-right: 1px solid #000;
}

.mainNaviCompany li:last-child {
    border-right: none;
}

.mainNaviCompany a:hover {
    color: var(--main-hover-color);
}


/* Member Navigation Responsive */

/*.mainNaviMember.list-level-1 {
    border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    margin: 24px 0;
    font-size: 1rem;
}

.mainNaviMember.list-level-2 {
    font-size: 0.9rem;
    margin: 10px 0 20px 25px;
}

.mainNaviMember .list-item-1,
.mainNaviMember .list-item-2 {
    padding: 10px 0!important;
    font-size: 1.2rem;
    font-weight: 100;
}

.mainNaviMember .list-level-2 .list-item-2:before {
    content: '\f105';
    font: var(--fa-font-light);
}*/

:is(.mainNaviResp, .mainNaviMember).list-level-1 {
    margin: 24px 0;
}

:is(.mainNaviResp, .mainNaviMember):is(.list-level-2, .list-level-3) {
    margin: 8px 0 8px 20px;
}

:is(.mainNaviResp, .mainNaviMember) .list-item-1 {
    padding: 4px 0 !important;
    margin: 8px;
    font-size: 1.2rem;
    font-weight: 100;
}

:is(.mainNaviResp, .mainNaviMember) .list-item-2 .list-link-2 {
    font-size: 1rem;
    display: inline;
}

:is(.mainNaviResp, .mainNaviMember) .list-link-1 {
    font-size: 1rem;
    display: inline-block;
    padding: 8px 16px;
    transition: background-color 0.3s ease, color 0.3s ease;
    border-radius: 0;
}

:is(.mainNaviResp, .mainNaviMember) .list-link-1:hover {
    color: var(--main-white-color);
    background-color: var(--main-hover-color);
    text-decoration: none;
}

.memberNaviTop.list-level-1 {
    /*padding: 10px;*/ /*gf sign*/
    flex-wrap: wrap;
}

/* Haupt-Navigation */

.main-menu {
    z-index: 100000;
}


/* Level 1 */

.main-menu .list-level-1 {
    list-style-type: none;
}

.main-menu .list-item-1 {
    border: 1px solid transparent;
    position: relative;
}

.main-menu .list-item-1:hover,
.main-menu .list-item-1:focus,
.main-menu .list-item-1:active {
    color: var(--main-hover-color);
}

#layerFooter .main-menu .list-item-1:hover,
#layerFooter .main-menu .list-item-1:focus,
#layerFooter .main-menu .list-item-1:active {
    color: var(--main-hover-color);
}

.main-menu .list-item-1,
.main-menu .list-link-1 {
    transition: all 0.1s ease-in-out;
}

.main-menu .list-link-1 {
    display: inline-block;
    font-weight: 400;
    font-size: 1rem;
    line-height: 2rem;
    padding: 0 14px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    text-decoration: none;
    letter-spacing: 1px;
}

.main-menu .list-link-1 .active {
    border: 1px solid var(--main-black-color);
}

.main-menu .list-link-1.active {
    font-weight: 600;
}

/*.list-item-1 > a:hover + ul.preview {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}*/

.list-item-1:hover > ul.preview {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

/* Preview */

.main-menu .list-level-2.preview {
    position: absolute;
    top: 100% /*35px*/;
    left: 0;
    opacity: 0;
    overflow: hidden;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
    height: unset;
    background: var(--main-color);
    padding: 6px;
    min-width: 260px;
    text-align: left;
    display: flex;
    flex-wrap: wrap;
    align-content: stretch;
    align-items: stretch;
    justify-content: space-between;
    font-size: 1rem;
    z-index: 9999;
    border-radius: 0;
}

.mainNaviResp .list-level-2.preview {
    border-radius: 0;
}

.main-menu .list-level-2.preview .list-item-2 {
    width: 100%;
    padding: 0;
    margin: 0;
}

.main-menu .list-level-2.preview .list-link-2 {
    font-size: 1rem;
    width: 100%;
    color: var(--main-white-color);
}

.main-menu .list-level-2.preview .list-link-2:hover {
    color: var(--main-white-color);
    background-color: var(--main-hover-color);
}

.main-menu .list-level-2.preview.show-hover {
    opacity: 1;
    height: unset;
    pointer-events: auto;
}

.main-menu .list-level-2.preview.show-hover a {
    font-size: 1rem;
}


/* Level 2 & > */

.main-menu .list-level-2 .list-item-2 {
    font-size: 1rem;
}

.list-level-2 .list-item-2 {
    padding: 8px 0;
    /*border-bottom: 1px solid #ccc;*/
}

.list-level-3 .list-item-3 {
    padding: 4px 0;
    font-size: 0.95rem;
    margin-left: 16px;
}

.list-item-3 a:before {
    margin-right: 5px;
}

.list-level-3 {
    margin-bottom: 12px;
}

.list-level-4 .list-item-4,
.list-level-5 .list-item-5 {
    margin: 4px 0 0 28px;
}

.list-link-2, .list-link-3, .list-link-4, .list-link-5 {
    font-size: 1rem;
    display: inline-block;
    padding: 8px 16px;
    transition: background-color 0.3s ease, color 0.3s ease;
    border-radius: 0;
}

.list-link-2:hover, .list-link-3:hover, .list-link-4:hover, .list-link-5:hover {
    color: var(--main-white-color);
    background-color: var(--main-hover-color);
    text-decoration: none;
}

:is(.mainNaviMember, .mainNaviResp, .mainNaviLeft) 
:is(.list-link-2, .list-link-3, .list-link-4, .list-link-5) {
    border-radius: 0;
}

:is(.mainNaviMember, .mainNaviResp, .mainNaviLeft)
:is(.list-link-2, .list-link-3, .list-link-4, .list-link-5).active {
    color: var(--main-color);
}

:is(.mainNaviMember, .mainNaviResp, .mainNaviLeft)
:is(.list-link-2, .list-link-3, .list-link-4, .list-link-5):hover {
    color: var(--main-white-color);
}

ul.list-level-3:not(.preview),
ul.list-level-4:not(.preview),
ul.list-level-5:not(.preview) {
    display: none;
}

/*li.open > ul {
    display: block;
}*/

.mainNaviMember li.has-submenu > ul,
.mainNaviLeft li.has-submenu > ul,
.mainNaviResp li.has-submenu > ul {
    display: none;
}

.mainNaviMember li.has-submenu.open > ul,
.mainNaviLeft li.has-submenu.open > ul,
.mainNaviResp li.has-submenu.open > ul {
    display: block;
}

.mainNaviMember li.has-submenu:hover > ul,
.mainNaviResp li.has-submenu:hover > ul {
    display: block;
}

/* button reset */
.nav-toggle {
    font-family: var(--main-font-fa);
    background: none;
    border: none;
    cursor: pointer;
    padding: 4px 10px;
    font-size: 1.1rem;
    border-radius: 0;
    box-shadow: none;
}

 /* chevron-right */
.nav-toggle[aria-expanded="false"] i::before { 
    content: "\f0da";
    font: var(--fa-font-light);
}
 /* chevron-down */
.nav-toggle[aria-expanded="true"] i::before { 
    content: "\f0d7";
    font: var(--fa-font-solid);
    color: var(--main-color);
}

.nav-toggle:hover i::before {
    color: var(--main-hover-color);
    font: var(--fa-font-solid);
}

.active {
    color: var(--main-color);
    font-weight: 600;
}

:is(.mainNaviResp, .mainNaviCompany) .active {
    color: var(--main-color);
    font-weight: 600;
}

.layerLanguage {
    position: relative;
    overflow: visible;
    z-index: 1000;
}

.language-dropdown-anchor {
    position: relative;
    display: inline-block;
}

.language-dropdown-wrapper {
    position: absolute;
    top: 100%;
    left: 0px;
    background: white;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: fit-content;
    max-height: fit-content;
    z-index: 9999;
    padding: 4px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.15);
    transition: opacity 0.3s ease;
    display: none;
    pointer-events: none;
}

.language-dropdown-wrapper.show {
    display: block;
    pointer-events: auto;
}

.language-option {
    display: flex;
    align-items: center;
    gap: 6px;
    padding: 8px;
    text-decoration: none;
    color: #333;
    opacity: 0.7;
    border-radius: 2px;
}

.language-option.active {
    font-weight: bold;
    opacity: 1;
}

.language-option:hover {
    opacity: 1;
    background: #eee;
}

.language-option img,
.toggle-language-dropdown img {
    border-radius: 2px;
}

@media only screen and (max-width: 1500px) {

}
@media only screen and (max-width: 1400px) {
    .main-menu ul li a {
        font-size: 0.9rem;
    }
}
@media only screen and (max-width: 1300px) {
    #layerHeadButton {
        display: unset;
        text-align: right;
        margin-left: 12px;
        padding: 8px 10px;
    }
}
@media only screen and (max-width: 1200px) {
    
}
@media only screen and (max-width: 750px) {
    #layerNavigationResp.open {
        width: 100%;
        min-width: unset;
    }
}